#!/bin/sh

#
# This file applies the user setup to the system by running the user defined commands 
#
# 2006/05/09 - michele
#

# 20121002 - michele - disable console beep
setterm -blength 0
# 20121002 - michele - end

# ----------------------------------------------
###
# user setup execution flag (false is there is any error)
###
USER_SETUP_EXECUTION=true

###
# Get 'user scripts' directory. Default is "/home/linux/common"
###
LINUX_SETUP_DIR=/home/linux/setup;

if [ ! -d $LINUX_SETUP_DIR ]; then
  echo
  echo -e \\t\\t\*\*\* WARNING \*\*\*
  echo Folder <USER_SETUP_DIR>  does not exist. Unable to run linux user setup script.
  echo -e \\t\\t\*\*\* WARNING \*\*\*
  echo
  USER_SETUP_EXECUTION=false
fi


# ----------------------------------------------
if [ "$USER_SETUP_EXECUTION" == "true" ]; then

  ###
  # Applies shell colors for ls command
  ###
  if [ -f $LINUX_SETUP_DIR/dir_colors.sh ]; then
    . $LINUX_SETUP_DIR/dir_colors.sh 
  fi
  
  
  ###
  # Add user defined aliases
  ###
  if [ -f $LINUX_SETUP_DIR/sys_aliases.sh ]; then
    . $LINUX_SETUP_DIR/sys_aliases.sh
  fi

  ###
  # Add xmodmap configuration
  ###
  xmodmap $LINUX_SETUP_DIR/Xmodmap

fi


# ----------------------------------------------
###
# unset local variables
###
unset LINUX_SETUP_DIR
unset USER_SETUP_EXECUTION
