local status_ok, handlers
status_ok, handlers = pcall(require, "user.lsp.handlers")
if not status_ok then
  vim.notify("user/lsp/handlers file not found!")
  return
end
require("user.lsp.handlers").setup()

local status_ok, lspconfig = pcall(require, "lspconfig")
if not status_ok then
  vim.notify("lspconfig plugin not found!")
  return
end

local mason, mason_lspconfig
status_ok, mason = pcall(require, "mason")
if not status_ok then
  vim.notify("mason plugin not found!")
  return
end
status_ok, mason_lspconfig = pcall(require, "mason-lspconfig")
if not status_ok then
  vim.notify("mason-lspconfig plugin not found!")
  return
end

mason.setup({
  ui = {
    icons = {
      package_installed = "✓",
      package_pending = "➜",
      package_uninstalled = "✗"
    }
  }
})

mason_lspconfig.setup()

mason_lspconfig.setup_handlers {
  -- Default handler
  function (server_name) -- default handler (optional)
    require("lspconfig")[server_name].setup {
      on_attach = handlers.on_attach,
      capabilities = handlers.capabilities
    }
  end,
  -- Dedicated handlers
  --["cmake-language-server"] = function ()
  --  require("lspconfig")["cmake-language-server"].setup {
  --    filetypes = { "cmake", "CMakeLists.txt" }
  --  }
  --end
}

